<?php
/**
* @copyright Copyright (C) 2006 - 2010 JoomlaEquipment (http://www.joomlaequipment.com). All rights reserved.
* @license GNU/GPL http://www.gnu.org/copyleft/gpl.html
**/
//OPTIONS
define ('OPTIONS_HEADER','Options of Defence function');
define('OPTIONS_PARAMETER','Defence Parameters:');
// OPTIONS MYSQL
define('OPT_MYSQL_TITLE','SQL Injections Options');
define('OPT_MYSQL_TO_LOG', 'Write to Log as Suspect');
define('OPT_MYSQL_TO_LOG_DEF','Put a tick to let the program write into log when SQL injection is discovered. Will be written as Suspect.');
define('OPT_MYSQL_SUSPECT','Stop The Supposed Attack');
define('OPT_MYSQL_SUSPECT_DEF','Stops the Sql Attack and Writes to LOG as Reject.');
define('OPT_MYSQL_BLOCK_IP','Block the IP address');
define('OPT_MYSQL_BLOCK_IP_DEF','Blocking the IP address of the attacker and he/she is not able to enter the site.');
define('OPT_MYSQL_BLOCK_LOGIN','Block the Login (if exists)');
define('OPT_MYSQL_BLOCK_LOGIN_DEF', 'Blocking the Login of the Registered user if he/she comments an attack.');
define('OPT_MYSQL_KEYWORDS','Enter keywords and regular expressions for SQL scanner');
define('OPT_MYSQL_KEYWORDS_DEF','The words must be entered in the form of /someWord/ or you can enter preg_match regular expressions');
//OPTIONS ANTIFLOOD
define('OPT_ANTIFLOOD_TITLE','Antiflood');
define('OPT_ANTIFLOOD_IF','Block if');
define('OPT_ANTIFLOOD_IF_DEF','If the User brakes this rules and comments more queries in the defined time  he/she will be automatically blocked.');
define('OPT_ANTIFLOOD_OR_MORE','or more queries in');
define('OPT_ANTIFLOOD_SEC','second(s)');
define('OPT_ANTIFLOOD_MIN','minute(s)');
define('OPT_ANTIFLOOD_HOUR','hour(s)');
define('OPT_ANTIFLOOD_AND_IF','and if');
define('OPT_ANTIFLOOD_BLOCK','Block IP');
define('OPT_ANTIFLOOD_BLOCK_DEF','Blocks the IP if checked if not just stops the attack.');
//OPTIONS FILE SCAN
define('OPT_FILE_TITLE','File scan for PHP injections');
define('OPT_FILE_BLOCK_LOGIN','Block the Login (if exists)');
define('OPT_FILE_BLOCK_LOGIN_DEF','Scans the file inside for PHP injection and if finds stops the loading.');
define('OPT_FILE_BLOCK_IP','Block the IP');
define('OPT_FILE_BLOCK_IP_DEF','Scans the file inside for PHP injection and if finds stops the loading. And blocks the IP address of the Loader.');
//OPTIONS SENDIND EMAIL
define('OPT_MAIL_TITLE','Send mail to administrator in the case of following attacks');
define('OPT_MAIL_EMAIL_DEF','E-mail address of the administrator. To recieve the report.');
define('OPT_MAIL_PHP','PHP injections');
define('OPT_MAIL_DEF','If cheked an email will be sent.');
define('OPT_MAIL_MYSQL','SQL Injections');
define('OPT_MAIL_FLOOD','Flood');
define('OPT_SAVE_SUCCESS','The parameters were changed successfully.');
define('OPT_INCORRECT_EMAIL','The E-mail was enetered incorrect. Enter in the form of somemail@somemail.com');
define('OPT_INCORRECT_ANTIFLOOD','Incorrect Antiflood Parameters. All the values must be numeric.');
define('OPT_EMAIL_REQUIRED','An E-mail is a reqired field.');
//LOG

define('LOG_TITLE','The Log of the suspicious and rejected attacks');
define('LOG_CARD_TITLE','Record Card');
define('LOG_CARD_ACTIONS','Actions');
define('LOG_CARD_PARAM','Parameters');
define('LOG_CARD_VAL','Value');
define('LOG_CARD_IP','IP:');
define('LOG_CARD_GET','GET Values:');
define('LOG_CARD_POST','POST Values:');
define('LOG_CARD_REFERER','Referer:');
define('LOG_CARD_LOGIN','Login:');
define('LOG_FILTER','Filter:');
define('LOG_FILTER_REJECT_SUSPECT','Reject and Suspect');
define('LOG_FILTER_REJECT','Reject');
define('LOG_FILTER_SUSPECT','Suspect');
define('LOG_FILTER_TYPE','Select Type');
define('LOG_FILTER_MYSQL','SQL Injections');
define('LOG_FILTER_PHP','PHP Injections');
define('LOG_FILTER_FLOOD','FLood');
define('LOG_SUSPECT_REJECT','Action');
define('LOG_DATE','Date');
define('LOG_URL','URL');
define('LOG_IP','IP');
define('LOG_POST','Post');
define('LOG_REFERER','Referer');
define('LOG_LOGIN','Login');
define('LOG_TYPE','Type');
//BLOCK LIST
define('BLOCKED_TITLE','The list of Blocked Users');
define('BLOCKED_PARAM','Parameter');
define('BLOCKED_VALUE','Value');
define('BLOCKED_CHOOSE','Choose the type of Parameter');
define('BLOCKED_FILTER_ALL','All Parameters');
define('BLOCKED_FILTER_LOGIN','Login');
define('BLOCKED_FILTER_IP','IP');
define('_BBKP_DATE_FORMAT_LC2',"%d.%m.%Y");
/**
* Side menu
*/
define('SIDE_LOG', 'Show Log');
define('SIDE_BLOCK', 'Block List');
define('SIDE_CONF', 'Options');
define('SIDE_RESTORE', 'Restoration');

/**
* RESTORE
*/
define('RESTORE_NAME','Name');
define('RESTORE_TYPE', 'Type');
define('RESTORE_DATE','Date and Time');
define('RESTORE_SIZE', 'Size');

/**
* RESTORE NEW
*/
define('RST_NEW_TITLE', 'New Restoration Point');
define('RST_NEW_OPT','Options of Restoration');
define('RST_NEW_NAME','Name:');
define('RST_NEW_NAME_EXT','(name of the restoration point)');
define('RST_NEW_DROP','Add DROP TABLE');
define('RST_NEW_IFNOT','Add IF NOT EXISTS');
define('RST_NEW_AUTO','Add AUTO INCREMEMNT');
define('RST_NEW_COMM','Comments to the table backup');
define('RST_NEW_SELECTF','Select files to backup');
define('RST_NEW_SELECTT','Select tables to backup');
define('RST_NEW_PACKALL','Pack All');
define('RST_NEW_CHECKALL','');
define('RST_NEW_DISABLE','Disable');
define('RST_NEW_ROWS','Rows');
define('RST_NEW_SIZE','Size');
define('RST_NEW_OVERHEAD','Overhead');
define('RST_NEW_AUTOINC','Auto Inc.');
define('RST_NEW_CREATION', 'Creation Date');
define('RST_SUCCESS', 'Restoration piont was created successfully');
define('RST_FAIL', 'ERROR CREATING BACKUP!');
define('RST_DELS', 'File(s) were deleted successfully');
define('RST_DELSE', 'Error ocurred while deleting file(s)');
define('RST_ONLY_ONE', 'Only one restoration at a time can be applied!');
define('RST_APP_SUCC', 'Restoration was applied successfully.');
define('RST_APP_FAIL', 'ERROR OCCURED WHILE RESTORING!!!');



?>